POST https://api.revio.co.za/v2/collection/eft/from_mandateDescription
Field descriptions: mandateId: The identifier for the mandate used for this collection. collectionDate: The date on which to action this collection. amountCents: The amount (cents) to collect. externalReference: A unique reference, which can later be queried for this collection. If this value is not unique you will get a HTTP 400 response (“Collection with this external reference already exists”) serviceType: The type of EFT to create for this collection. Accepted values: ONEDAY, TWODAY, SAMEDAY.
Request body
| Field | Type | Required | Description |
|---|---|---|---|
mandateId | string | no | |
amountCents | integer (int64) | no | |
serviceType | EFTCollectionServiceType | no | One of: ONEDAY, TWODAY, SAMEDAY |
collectionDate | string (date-time) | no | |
externalReference | string | no |
Example
curl -X POST https://api.revio.co.za/v2/collection/eft/from_mandate \
-H 'Authorization: Bearer <YOUR_API_KEY>' \
-H 'Content-Type: application/json'Responses
| Status | Description |
|---|---|
201 | Created |
400 | Bad Request |